<?php
/**
 * The template for displaying all single posts.
 *
 * @package click5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header();
$container = get_theme_mod( 'click5_container_type' );
?>

<div class="wrapper d-flex align-items-end" style="background-image: url('<?php bloginfo('template_url'); ?>/img/heroes/hero.webp');" id="hero-sub">
    <div class="container">
        <div class="row">
            <div class="content col-12 text-center">
				<h3>click5 Starter Theme</h3>
                <h1>Our Blog</h1>
            </div>
        </div>
    </div> 
</div> 

<div class="wrapper" id="single-wrapper">
	<div class="container" id="content" tabindex="-1">
		<div class="row">
			<main class="col-12" id="main">

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'loop-templates/content', 'single' ); ?>

					<?php
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>

				<?php endwhile; ?>

			</main>

			<div class="col-12">
				<a href="<?php the_permalink(12); ?>" class="back"><span>Back to <?php echo get_the_title(12); ?></span></a>
			</div>
		</div>
	</div>
</div>

<?php
	$the_query = new WP_Query( array(
		'posts_per_page' => 3,
		'post__not_in' => array( $post->ID )
	) );

	if($the_query->have_posts()) :
?>

<div class="wrapper" id="recent-posts">
	<div class="container">
		<div class="row">
			<div class="home-headline col-12 text-center">
				<h1>Recent Posts</h1>
			</div>

			<?php while($the_query->have_posts()) : $the_query->the_post(); 
				$primary_category = get_primary_category(get_the_ID());
				$primary_category = get_term($primary_category);

				get_template_part( 'loop-templates/content', get_post_format() );

			endwhile; ?>
		</div>
	</div>
</div>

<?php endif; ?>
<?php wp_reset_query();?>

<?php get_footer(); ?>